<nav class="w3-bar w3-large">
  {# --- home button --- -#}
  <a href="/" class="w3-bar-item w3-button {% if current_path %}{% if current_path == "/" %} active{% endif %}{% endif %}"><img alt="" class="icon" src="{{config.extra.logo}}"/> {{config.extra.name}}</a>
  
  {# --- langage dropdown --- -#}
  <div class="w3-dropdown-hover w3-dropdown-click w3-right">
    <button class="w3-button" style="font-size: 1.6em; padding: 0 10px;">{{config.extra.flag}}</button>
    <div class="w3-dropdown-content w3-bar-block w3-light-grey" style="min-width: 29px;">
      {%- for ltag,lcfg in config.extra.translations %}
      <a href="{{lcfg.base_url}}" title="{{ltag}} website" style="font-size: 1.6em; padding: 0 10px;">{{lcfg.flag}}</a>
      {%- endfor %}
    </div>
  </div>

  {# --- useful links --- -#}
  <div class="w3-dropdown-hover w3-dropdown-click w3-right">
    <button class="w3-button">{{config.extra.theme.links_label}} <i class="fa fa-caret-down"></i></button>
    <div class="w3-dropdown-content w3-bar-block w3-light-grey">
      {% for link in config.extra.nav.link -%}
      <a href="{{link.url}}" class="w3-bar-item w3-button"><img alt="{{link.name}}" class="icon" src="{{link.img}}"/> {{link.name}}</a>
      {%- endfor %}
    </div>
  </div>

  {# --- allow theme config to overwrite automatic listing ---#}
  {% if config.extra.nav.links %}
    {# --- left links ---#}
    {%- for link in config.extra.nav.links.left %}
      {#- hack to know if it is a page or a section -#}
      {%- if link is ending_with("_index.md") -%}
        {%- set resource = get_section(path=link) -%}
      {%- else -%}
        {%- set resource = get_page(path=link) -%}
      {%- endif -%}
      <a href="{{ resource.permalink }}" class="w3-bar-item w3-button
        {%- if current_path %}{% if current_path == resource.path %} active{% endif %}{% endif -%}
        ">{{resource.title}}</a>
    {%- endfor -%}

    {# --- right links ---#}
    {%- for link in config.extra.nav.links.right | reverse %}
      {#- hack to know if it is a page or a section -#}
      {%- if link is ending_with("_index.md") -%}
        {%- set resource = get_section(path=link) -%}
      {%- else -%}
        {%- set resource = get_page(path=link) -%}
      {%- endif -%}
      <a href="{{ resource.permalink }}" class="w3-bar-item w3-button w3-right
        {%- if current_path %}{% if current_path == resource.path %} active{% endif %}{% endif -%}
        ">{{resource.title}}</a>
    {% endfor %}

  {% else %}{# --- automatic mode ---#}
    {# --- get index to automatically get pages and subsections --- -#}
    {%- set index = get_section(path="_index.md") -%}

    {# --- left links ---#}
    {%- for p in index.pages %}
      {%- if not p.extra.hide -%}
      <a href="{{ p.permalink }}" class="w3-bar-item w3-button
        {%- if current_path %}{% if current_path == p.path %} active{% endif %}{% endif -%}
        ">{{p.title}}</a>
      {%- endif -%}
    {% endfor %}
    
    {# --- right links ---#}
    {%- for s in index.subsections | reverse -%}
    {%- set subsection = get_section(path=s) -%}
      {%- if not subsection.extra.hide -%}
      <a href="{{ subsection.permalink }}" class="w3-bar-item w3-button w3-right
        {%- if current_path %}{% if current_path is starting_with(subsection.path) %} active{% endif %}{% endif -%}
        ">{{subsection.title}}</a>
      {%- endif -%}
    {%- endfor -%}
  {% endif %}


</nav>